*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Nunito Sans', sans-serif;
}

body{
    scroll-behavior: smooth;
}

/* -------- header ------------ */

.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--white);
    padding: 20px 30px;
}
.header .logo{
    width: 20%;
    height: 50px;
}
.header .logo img{
    width: 200px;
    height: 100%;
    object-fit: contain;
}
.close-open-nav{
    display: none;
}
.header ul{
    display: flex;
    justify-content: space-between;
    width: 60%;
    align-items: center;
}
.header li a{
    color: var(--blue);
    font-size: 18px;
    font-family: NunitoLight;
    transition: .5s ease-in-out;
}
.header li a:hover{
    font-size: 20px;
    font-family: NunitoRegular;
    color: var(--light-blue);
    transition: .5s ease-in-out;
}

/* ----------- banner ------------- */

.banner{
    margin-top: 30px;
    margin-bottom: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.banner_left{
    width: 50%;
}
.banner_left h2{
    font-family: NunitoExtraBold;
    font-size: 64px;
    color: var(--blue);
}
.banner p{
    font-family: NunitoRegular;
    font-size: 24px;
    color: var(--light-blue);
    margin-top: 1rem;
}
.banner_right{
    width: 50%;
}
.banner_right img{
    width: 100%;
    height: 100%;
}

/* ----------- about us --------------- */

.about_us{
    margin-top: 8rem;
}
.about_us h2{
    font-family: NunitoExtraBold;
    font-size: 48px;
    color: var(--blue);
}
.timeline{
    position: relative;
    max-width: 1200px;
    margin: 100px auto;
}
.timeline::after{
    content: ' ';
    position: absolute;
    width: 10px;
    height: 100%;
    background-color: #fff;
    top: 0;
    left: 50%;
    margin-left: -3px;
    z-index: -1;
    -webkit-box-shadow: 0px 0px 95px 10px rgba(0,0,0,0.26);
    -moz-box-shadow: 0px 0px 95px 10px rgba(0,0,0,0.26);
    box-shadow: 0px 0px 95px 10px rgba(0,0,0,0.26);
    animation: moveline 6s linear forwards;
}
@keyframes moveline{
    0%{
        height: 0%;
    }
    100%{
        height: 100%;
    }
}
.cont{
    padding: 10px 50px;
    position: relative;
    width: 50%;
    animation: movedown 1s linear forwards;
    opacity: 0;
}
@keyframes movedown{
    0%{
        opacity: 1;
        transform: translateY(-30px);
    }
    100%{
        opacity: 1;
        transform: translate(0px);
    }
}
.cont:nth-child(1){
    animation-delay: 0s;
}
.cont:nth-child(2){
    animation-delay: 1s;
}
.cont:nth-child(3){
    animation-delay: 2s;
}
.text_box{
    padding: 20px 30px;
    background-color: #fff;
    position: relative;
    border-radius: 6px;
    font-style: 18px;
    margin-top: 10px;
    font-family: NunitoRegular;
    border-radius: 10px;
    -webkit-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    -moz-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
}
.cont.left{
    left: 0;
}
.cont.right{
    left: 50%;
}
.left_arrow{
    height: 0;
    width: 0;
    position: absolute;
    top: 28px;
    z-index: 1;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-left: 15px solid #fff;
    right: -15px;
}
.right_arrow{
    height: 0;
    width: 0;
    position: absolute;
    top: 28px;
    z-index: 1;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-right: 15px solid #fff;
    left: -15px;
}

/* ------ client ----------- */

.clients{
    margin-top: 8rem;
}
.clients h2{
    font-family: NunitoExtraBold;
    font-size: 48px;
    color: var(--blue);
}
.client_container{
    width: 100%;
}
.client_card{
    -webkit-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    -moz-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px 20px;
    margin: 60px 30px;
    border-radius: 10px;
}
.client_card img{
    width: 70px;
    height: 70px;
    border-radius: 50%;
    margin: 20px;
}
.client_card .card_content{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.card_content h3{
    font-family: NunitoBold;
    font-size: 24px;
    color: var(--blue);
}

/* -----------products ---------- */

.products{
    margin-top: 8rem;
}
.products h2{
    font-family: NunitoExtraBold;
    font-size: 48px;
    color: var(--blue);
}
.products_card{
    -webkit-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    -moz-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px 20px;
    margin: 60px 30px;
    border-radius: 10px;
}
.products_card .card_img{
    width: 100%;
    height: 300px;
}
.products_card img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.products_card .card_content{
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-top: 20px;
}
.card_content h3{
    font-family: NunitoBold;
    font-size: 24px;
    color: var(--blue);
}
.card_content ul li:nth-child(3),
.card_content ul li:nth-child(4){
    height: 0%;
    display: none;
    transform: translateY(100%);
    transition: .5s ease-in-out;
}
.card_content.show-details ul li:nth-child(3),
.card_content.show-details ul li:nth-child(4){
    height: 100%;
    display: block;
    transform: translateY(0%);
    transition: .5s ease-in-out;
}
.card_content li{
    font-family: NunitoRegular;
    font-size: 16px;
    color: var(--blue); 
    margin: 5px 0px;
}
.card_content button{
    border: none;
    outline: none;
    font-size: 18px;
    background-color: var(--blue);
    color: var(--white);
    border-radius: 5px;
    padding: 10px 50px;
    margin-top: 10px;
    transition: .5s ease-in-out;
    cursor: pointer;
}
.card_content button:hover{
    background-color: var(--light-blue);
    transition: .5s ease-in-out;
}

/* ------------ contact us ------------- */

.contact{
    margin-top: 8rem;
}
.contact h2{
    font-family: NunitoExtraBold;
    font-size: 48px;
    color: var(--blue);
}
.contact_container{
    margin: 0 auto;
    margin-top: 5rem;
    width: 80%;
    border-radius: 6px;
    padding: 20px 60px 40px 40px;
    -webkit-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    -moz-box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    box-shadow: 0px 0px 95px -7px rgba(0,0,0,0.26);
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.contact_container .left-side{
    width: 25%;
    height: 100%;
    margin-top: 15px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
/* .left-side::before{
    content: '';
    position: absolute;
    height: 70%;
    width: 2px;
    background: #afafb6;
    right: -15px;
    top: 50%;
    transform: translateY(-50%);
}
.middle-side::before{
    content: '';
    position: absolute;
    height: 70%;
    width: 2px;
    background: #afafb6;
    right: -50px;
    top: 50%;
    transform: translateY(-50%);
} */
.left-side .details{
    margin: 14px;
    text-align: center;
}
.left-side .details i{
    font-size: 30px;
    color: var(--blue);
    margin-bottom: 10px;
}
.left-side .details .topic{
    font-size: 18px;
    font-weight: 500;
}
.left-side .details .text-one,
.left-side .details .text-two{
    font-size: 14px;
    color: #afafb6;
}
.contact_container .middle-side{
    width: 50%;
    margin: 0 90px;
    position: relative;
}
.middle-side .topic-text{
    font-size: 23px;
    font-weight: 600;
    color: var(--blue);
}
.middle-side .input-box{
    height: 50px;
    width: 100%;
    margin: 12px 0;
}
.middle-side .input-box input:focus,
.middle-side .input-box textarea:focus{
    border: none;
    outline: none;
}
.middle-side .input-box input,
.middle-side .input-box textarea{
    height: 100%;
    width: 100%;
    border: none;
    border-radius: 6px;
    background-color: #f0f1f8;
    font-size: 16px;
    padding: 15px;
    resize: none;
}
.middle-side .message-box{
    min-height: 110px;
}
.middle-side input[type="submit"]{
    color: #fff;
    font-size: 18px;
    background: var(--blue);
    outline: none;
    border-radius: 6px;
    padding: 8px 16px;
    border: none;
    cursor: pointer;
    transition: all 0.3s ease;
}
.middle-side .button{
    margin-top: 20px;
}
.middle-side input[type="button"]:hover{
    background-color: var(--light-blue);
}
.contact_map{
    width: 20%;
    height: 100%;
}
.contact_map iframe{
    width: 100%;
    height: 100%;
}

/* ----------- footer ---------- */

.footer{
    width: 100%;
    background-color: var(--blue);
    color:var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 60px 0; 
    margin-top: 5rem;
    border-radius: 80% 80% 0% 0%; 
}
.footer h2{
    font-family: NunitoLight;
    font-size: 20px;
    word-spacing: 5px;
}



@media (max-width: 900px) {

    /* ------- banner -------------- */

    .banner{
        flex-direction: column-reverse;
    }
    .banner_left{
        width: 100%;
    }
    .banner_left h2 {
        font-size: 36px;
        margin-top: 3rem;
    }
    .banner_left p {
        font-size: 20px;
    }
    .banner_right{
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .banner_right img{
        width: 90%;
        height: 90%;
    }

    /* -------- about us--------- */
    .timeline{
        margin: 50px auto;
    }
    .timeline::after{
        left: 31px;
    }
    .cont{
        width: 100%;
        padding-left: 80px;
        padding-right:25px ;
    }
    .text_box{
        font-style: 18px;
    }
    .cont.right{
        left: 0;
    }
    .left_arrow, .right_arrow{
        border-right: 15px solid #fff;
        border-left:  0;
        left: -15px;
    }

    /* -------- client ---------- */

    .card_content button{
        font-size: 10px;
        padding: 10px 14px;
    }

    /* --------contact us---------- */

    .contact_container{
        width: 90%;
        height: 100%;
        flex-direction: column-reverse;
    }
    .contact_container .left-side {
        width: 100%;
        flex-direction: row;
        margin-top: 40px;
        flex-wrap: wrap;
    }
    .left-side::before{
        display: none;
    }
    .contact_container .middle-side {
        width: 100%;
        margin: 0;
    }
    .middle-side .topic-text {
        margin: 10px 0;
    }
    .middle-side p {
        margin: 10px 0;
    }

    .contact_map{
        width: 100%;
    }
    
}
@media (max-width: 600px) {

    .header{
        margin-top: 0;
        top: 0px;
        position: fixed;
        z-index: 100;
        width: 100%;
        padding: 10px 30px;
    }

    .header .logo img {
        width: 100px;
    }

    .header_links{
        position: fixed;
        min-height: 100vh;
        width: 100%;
        flex-direction: column;
        top: 0 !important;
        bottom: 0;
        left: 0;
        background-color: var(--white);
        z-index: 5;
        transform: translateX(800px);
        transition: .5s ease-in;
    }

    .header ul{
        width: 100%;
        justify-content: space-evenly;
    }

    .header_links.hide-nav {
        display: flex;
        transition: .5s ease-in;
        transform: translateX(0px);
    }

    .close-open-nav{
        width: 50px;
        height: 50px;
        display: flex;
        z-index: 10;
        top: 25px;
        right: 50px;
        background-color: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .hide-nav .fa-times{
        display: block;
    }

    .fa-times{
        display: none;
    }

    .hide-nav .fa-bars{
        display: none;
    }

    .fa-bars{
        display: block;
    }

    .banner{
        margin-top: 5rem;
    }

    .banner_left h2,
    .about_us h2, 
    .clients h2,
    .contact h2,
    .products h2{
        font-size: 28px;
    }

    .products_card .card_img{
        height: 150px;
    }

    .card_content h3 {
        font-size: 13px;
        text-align: center;
    }
    .card_content li,
    .card_content p {
        font-size: 12px;
    }

    .contact_container{
        padding: 20px 20px 20px 20px;
    }

    /* -------- footer -------- */

    .footer h2{
    width: 70%;
    font-size: 15px;
    text-align: center;
    }
}